# effect.h File Reference

Go to the source code of this file.

## Enumerations

enum | NoiseType { UndefinedNoise, UniformNoise, GaussianNoise, MultiplicativeGaussianNoise, ImpulseNoise, LaplacianNoise, PoissonNoise, RandomNoise }

enum

PreviewType {
UndefinedPreview, RotatePreview, ShearPreview, RollPreview,
HuePreview, SaturationPreview, BrightnessPreview, GammaPreview,
SpiffPreview, DullPreview, GrayscalePreview, QuantizePreview,
DespecklePreview, ReduceNoisePreview, AddNoisePreview, SharpenPreview,
BlurPreview, ThresholdPreview, EdgeDetectPreview, SpreadPreview,
SolarizePreview, ShadePreview, RaisePreview, SegmentPreview,
SwirlPreview, ImplodePreview, WavePreview, OilPaintPreview,
CharcoalDrawingPreview, JPEGPreview
}

## Functions

MagickExport Image * | AdaptiveBlurImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport Image ** | AdaptiveBlurImageChannel (const Image *, const ChannelType, const double, const double, ExceptionInfo *)
MagickExport Image *** | AdaptiveSharpenImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport Image **** | AdaptiveSharpenImageChannel (const Image *, const ChannelType, const double, const double, ExceptionInfo *)
MagickExport Image ***** | AddNoiseImage (const Image *, const NoiseType, ExceptionInfo *)
MagickExport Image ****** | AddNoiseImageChannel (const Image *, const ChannelType, const NoiseType, ExceptionInfo *)
MagickExport Image ******* | BlurImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport Image ******** | BlurImageChannel (const Image *, const ChannelType, const double, const double, ExceptionInfo *)
MagickExport Image ********* | DespeckleImage (const Image *, ExceptionInfo *)
MagickExport Image ********** | EdgeImage (const Image *, const double, ExceptionInfo *)
MagickExport Image *********** | EmbossImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport Image ************ | GaussianBlurImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport Image ************* | GaussianBlurImageChannel (const Image *, const ChannelType, const double, const double, ExceptionInfo *)
MagickExport Image ************** | MedianFilterImage (const Image *, const double, ExceptionInfo *)
MagickExport Image *************** | MotionBlurImage (const Image *, const double, const double, const double, ExceptionInfo *)
MagickExport Image **************** | PreviewImage (const Image *, const PreviewType, ExceptionInfo *)
MagickExport Image ***************** | RadialBlurImage (const Image *, const double, ExceptionInfo *)
MagickExport Image ****************** | RadialBlurImageChannel (const Image *, const ChannelType, const double, ExceptionInfo *)
MagickExport Image ******************* | ReduceNoiseImage (const Image *, const double, ExceptionInfo *)
MagickExport Image ******************** | ShadeImage (const Image *, const MagickBooleanType, const double, const double, ExceptionInfo *)
MagickExport Image ********************* | SharpenImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport Image ********************** | SharpenImageChannel (const Image *, const ChannelType, const double, const double, ExceptionInfo *)
MagickExport Image *********************** | SpreadImage (const Image *, const double, ExceptionInfo *)
MagickExport Image ************************ | UnsharpMaskImage (const Image *, const double, const double, const double, const double, ExceptionInfo *)
MagickExport Image ************************* | UnsharpMaskImageChannel (const Image *, const ChannelType, const double, const double, const double, const double, ExceptionInfo *)

## Enumeration Type Documentation

enum NoiseType

Enumerator:

  UndefinedNoise |
  UniformNoise |
  GaussianNoise |
  MultiplicativeGaussianNoise |
  ImpulseNoise |
  LaplacianNoise |
  PoissonNoise |
  RandomNoise |

enum PreviewType

Enumerator:

  UndefinedPreview |
  RotatePreview |
  ShearPreview |
  RollPreview |
  HuePreview |
  SaturationPreview |
  BrightnessPreview |
  GammaPreview |
  SpiffPreview |
  DullPreview |
  GrayscalePreview |
  QuantizePreview |
  DespecklePreview |
  ReduceNoisePreview |
  AddNoisePreview |
  SharpenPreview |
  BlurPreview |
  ThresholdPreview |
  EdgeDetectPreview |
  SpreadPreview |
  SolarizePreview |
  ShadePreview |
  RaisePreview |
  SegmentPreview |
  SwirlPreview |
  ImplodePreview |
  WavePreview |
  OilPaintPreview |
  CharcoalDrawingPreview |
  JPEGPreview |

## Function Documentation

MagickExport Image* AdaptiveBlurImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * AdaptiveBlurImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * AdaptiveSharpenImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * AdaptiveSharpenImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * AddNoiseImage | ( | const Image * | ,
|  | const | NoiseType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * AddNoiseImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | NoiseType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * BlurImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * BlurImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * DespeckleImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * EdgeImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * EmbossImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * GaussianBlurImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * GaussianBlurImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * MedianFilterImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * MotionBlurImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * PreviewImage | ( | const Image * | ,
|  | const | PreviewType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * RadialBlurImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * RadialBlurImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * ReduceNoiseImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * * ShadeImage | ( | const Image * | ,
|  | const | MagickBooleanType,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * * * SharpenImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * * * * SharpenImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * * * * * SpreadImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * * * * * * UnsharpMaskImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * * * * * * * UnsharpMaskImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |